bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#15297: 24.3.50; Compression of installed .el files should be configu


From: Eli Zaretskii
Subject: bug#15297: 24.3.50; Compression of installed .el files should be configurable
Date: Sat, 07 Sep 2013 10:43:34 +0300

> Date: Sat, 7 Sep 2013 08:57:27 +0200
> From: Ulrich Müller <address@hidden>
> 
> Currently "make install" compresses the installed .el files depending
> on the availability of the gzip program. In Gentoo we make this
> compression configurable; with modern disk sizes the additional
> disk footprint of 34 MiB is normally not an issue.
> 
> Since a long time Gentoo uses the following nasty hack for this:
> <http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-editors/emacs/emacs-24.3-r2.ebuild?revision=1.15&view=markup#l98>
> 
> However, it would be much cleaner if the upstream build system
> would allow to disable compression.

What's wrong with

  GZIP_PROG='' make install ...

?  This way, you don't need to decide up front whether you will or
will not want to compress, you decide at "make install" time.

If you want to disable compression of Lisp files, but leave alone the
compression of Info files, then I think it is much better to introduce
GZIP_LISP in the top-level Makefile.in without adding anything to the
configure script.  Again, the advantage is that no decision need be
made at configure time.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]